﻿@using System.Web.UI.WebControls;
@using Portal.Models.LPOPConsolidation;
 
            
 @*--- wot.dwi 09/11/2012  *@

 @Html.DevExpress().GridView(
    settings =>
    {
        settings.Name = "GridPopupTNQC";
        settings.CallbackRouteValues = new { Controller = "LPOPConsolidation", Action = "PopupLPOPConsolidationDetail_TNQC" };
        settings.Width = Unit.Percentage(100);
        settings.ClientSideEvents.BeginCallback = "OnGridPopupLPOPConsolidationDetailBeginCallback";
        settings.KeyFieldName = "D_ID";

        settings.Width = Unit.Percentage(100);
        settings.Settings.VerticalScrollableHeight = 260;
        settings.Settings.VerticalScrollBarMode = ScrollBarMode.Hidden;
        settings.Settings.HorizontalScrollBarMode = ScrollBarMode.Visible;
        settings.CommandColumn.ClearFilterButton.Visible = true;
        settings.Settings.ShowFilterRow = true;
        settings.Settings.ShowFilterRowMenu = true;
        
        settings.Settings.HorizontalScrollBarMode = ScrollBarMode.Auto;
        settings.CommandColumn.ClearFilterButton.Visible = true;
        settings.SettingsPager.PageSizeItemSettings.Visible = true;
        settings.SettingsPager.PageSizeItemSettings.Items = new string[] { "10", "30", "50", "100" };
        settings.SettingsPager.PageSizeItemSettings.Caption = "Page Size";        
        
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "D_ID";
                setting.Caption = "D-ID";
                setting.Width = Unit.Pixel(50);
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "VERS";
                setting.Caption = "Vers";
                setting.Width = Unit.Pixel(40);
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "REV_NO";
                setting.Caption = "Rev<br /> No";
                setting.Width = Unit.Pixel(50);
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "COMP_CD";
                setting.Caption = "Comp<br /> Code";
                setting.Width = Unit.Pixel(50);
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "R_PLANT_CD";
                setting.Caption = "Rcv Plant Code";
                setting.Width = Unit.Pixel(60);
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "DOCK_CODE";
                setting.Caption = "Dock<br />Code";
                setting.Width = Unit.Pixel(50);
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "SUPPLIER_CD";
                setting.Caption = "Supp<br />Code";
                setting.Width = Unit.Pixel(50);
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "SHIP_CD";
                setting.Caption = "Ship<br />Code";
                setting.Width = Unit.Pixel(50);
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "ORDER_TYPE";
                setting.Caption = "Ord<br />Type";
                setting.Width = Unit.Pixel(50);
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "PACK_MONTH";
                setting.Caption = "Pack<br />Month";
                setting.Width = Unit.Pixel(60);
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "CAR_CD";
                setting.Caption = "Car<br />Code";
                setting.Width = Unit.Pixel(50);
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "JSP_CAR_CD";
                setting.Caption = "JSP Car<br />Code";
                setting.Width = Unit.Pixel(90);
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "REX_CD";
                setting.Caption = "Rex<br />Code";
                setting.Width = Unit.Pixel(50);
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "AICO_CEPT1";
                setting.Caption = "AICO<br />Cept";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "SET_PXP";
                setting.Caption = "Set<br />PXP";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
             setting =>
             {
                 setting.FieldName = "SRC";
                 setting.Caption = "Source";
                 setting.Width = Unit.Pixel(70);
                 setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                 setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
             }
         );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "IMPORTER_NAME";
                setting.Caption = "Imp Name";
                setting.Width = Unit.Pixel(80);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "EXPORTER_NAME";
                setting.Caption = "Exp Name";
                setting.Width = Unit.Pixel(80);
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "SS_NO_VEHICLE";
                setting.Caption = "SS No<br />Vehicle";
                setting.Width = Unit.Pixel(80);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "SS_NO_PAMS";
                setting.Caption = "SS No<br />Pams";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "LINE_CODE";
                setting.Caption = "Line<br />Code";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "PART_NO";
                setting.Caption = "Part No";
                setting.Width = Unit.Pixel(100);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "LOT_CD";
                setting.Caption = "Lot<br />Code";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "EXT_COLOR";
                setting.Caption = "Ext<br />Color";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "INT_COLOR";
                setting.Caption = "Int<br />Color";
                setting.Width = Unit.Pixel(60);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "MODEL_CD";
                setting.Caption = "Control Mode<br />Code";
                setting.Width = Unit.Pixel(90);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "DISPLAY_MODEL_CD";
                setting.Caption = "Display Mode<br />Code";
                setting.Width = Unit.Pixel(90);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "ORDER_LOT_SIZE";
                setting.Caption = "Order Lot<br />Cz";
                setting.Width = Unit.Pixel(70);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "KANBAN_NUMBER";
                setting.Caption = "Kanban<br />Number";
                setting.Width = Unit.Pixel(85);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "PARTS_MATCHING_KEY";
                setting.Caption = "Parts Matching<br />Key";
                setting.Width = Unit.Pixel(135);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_VOL";
                setting.Caption = "N<br />Volume";
                setting.Width = Unit.Pixel(85);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_1_VOL";
                setting.Caption = "N+1<br />Volume";
                setting.Width = Unit.Pixel(85);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_2_VOL";
                setting.Caption = "N+2<br />Volume";
                setting.Width = Unit.Pixel(85);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_3_VOL";
                setting.Caption = "N+3<br />Volume";
                setting.Width = Unit.Pixel(85);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D01";
                setting.Caption = "N<br />D01";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D02";
                setting.Caption = "N<br />D02";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );

        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D03";
                setting.Caption = "N<br />D03";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D04";
                setting.Caption = "N<br />D04";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D05";
                setting.Caption = "N<br />D05";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D06";
                setting.Caption = "N<br />D06";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D07";
                setting.Caption = "N<br />D07";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D08";
                setting.Caption = "N<br />D08";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D09";
                setting.Caption = "N<br />D09";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D10";
                setting.Caption = "N<br />D10";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D11";
                setting.Caption = "N<br />D11";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D12";
                setting.Caption = "N<br />D12";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D13";
                setting.Caption = "N<br />D13";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D14";
                setting.Caption = "N<br />D14";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D15";
                setting.Caption = "N<br />D15";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D16";
                setting.Caption = "N<br />D16";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D17";
                setting.Caption = "N<br />D17";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D18";
                setting.Caption = "N<br />D18";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D19";
                setting.Caption = "N<br />D19";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D20";
                setting.Caption = "N<br />D20";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D21";
                setting.Caption = "N<br />D21";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D22";
                setting.Caption = "N<br />D22";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D23";
                setting.Caption = "N<br />D23";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D24";
                setting.Caption = "N<br />D24";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D25";
                setting.Caption = "N<br />D25";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D26";
                setting.Caption = "N<br />D26";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D27";
                setting.Caption = "N<br />D27";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D28";
                setting.Caption = "N<br />D28";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D29";
                setting.Caption = "N<br />D29";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D30";
                setting.Caption = "N<br />D30";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D31";
                setting.Caption = "N<br />D31";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_1_D01";
                setting.Caption = "N1<br />D01";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_1_D02";
                setting.Caption = "N1<br />D02";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_1_D03";
                setting.Caption = "N1<br />D03";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_1_D04";
                setting.Caption = "N1<br />D04";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_1_D05";
                setting.Caption = "N1<br />D05";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_1_D06";
                setting.Caption = "N1<br />D06";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_1_D07";
                setting.Caption = "N1<br />D07";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_1_D08";
                setting.Caption = "N1<br />D08";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_1_D09";
                setting.Caption = "N1<br /> D09";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_1_D10";
                setting.Caption = "N1<br /> D10";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_1_D11";
                setting.Caption = "N1<br /> D11";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_1_D12";
                setting.Caption = "N1<br /> D12";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_1_D13";
                setting.Caption = "N_1<br /> D13";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_1_D14";
                setting.Caption = "N1<br /> D14";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_1_D15";
                setting.Caption = "N1<br /> D15";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_1_D16";
                setting.Caption = "N1<br /> D16";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_1_D17";
                setting.Caption = "N1<br /> D17";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_1_D18";
                setting.Caption = "N1<br /> D18";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_1_D19";
                setting.Caption = "N1<br /> D19";
                setting.Width = Unit.Pixel(50);
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_1_D20";
                setting.Caption = "N1<br /> D20";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_1_D21";
                setting.Caption = "N1<br /> D21";
                setting.Width = Unit.Pixel(50);
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_1_D22";
                setting.Caption = "N1<br /> D22";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_1_D23";
                setting.Caption = "N1<br /> D23";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_1_D24";
                setting.Caption = "N1<br /> D24";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_1_D25";
                setting.Caption = "N1<br /> D25";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_1_D26";
                setting.Caption = "N1<br /> D26";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_1_D27";
                setting.Caption = "N1<br /> D27";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_1_D28";
                setting.Caption = "N1<br /> D28";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_1_D29";
                setting.Caption = "N1<br /> D29";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_1_D30";
                setting.Caption = "N1<br /> D30";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_1_D31";
                setting.Caption = "N1<br /> D31";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "SYSTEM_DATE";
                setting.Caption = "System<br />Date";
                setting.Width = Unit.Pixel(150);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.PropertiesEdit.NullDisplayText = string.Empty;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "SERIES";
                setting.Caption = "Series";
                setting.Width = Unit.Pixel(120);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "LIFE_CYCLE";
                setting.Caption = "Life<br />Cycle";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_M1_VOL_LAST_MONTH";
                setting.Caption = "N-1 Volume<br />Last Month";
                setting.Width = Unit.Pixel(80);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_VOL_LAST_MONTH";
                setting.Caption = "N Volume<br />Last Month";
                setting.Width = Unit.Pixel(80);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_1_VOL_LAST_MONTH";
                setting.Caption = "N+1 Volume<br />Last Month";
                setting.Width = Unit.Pixel(80);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_2_VOL_LAST_MONTH";
                setting.Caption = "N+2 Volume<br />Last Month";
                setting.Width = Unit.Pixel(80);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "B_A_SIGN";
                setting.Caption = "B/A<br />Sign";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "B_A_QTY";
                setting.Caption = "B/A<br />Quantity";
                setting.Width = Unit.Pixel(70);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "RATIO";
                setting.Caption = "Ratio";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_MAX_QTY";
                setting.Caption = "N Max<br />Qty";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_MIN_QTY";
                setting.Caption = "N Min<br />Qty";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_VAR_QTY";
                setting.Caption = "N Var<br />Qty";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "SUPPLIER_NAME";
                setting.Caption = "Supplier Name";
                setting.Width = Unit.Pixel(360);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "PART_NAME";
                setting.Caption = "Part Name";
                setting.Width = Unit.Pixel(240);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "OUT_CYCLE";
                setting.Caption = "Out<br />Cycle";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "JCSD";
                setting.Caption = "JCSD";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "CONTAIN_CLASS";
                setting.Caption = "Container<br />Class";
                setting.Width = Unit.Pixel(70);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "BULK_LOT";
                setting.Caption = "Bulk<br />Lot";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "DUMMY";
                setting.Caption = "Dummy";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "TERM";
                setting.Caption = "Term";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "CREATED_BY";
                setting.Caption = "Created By";
                setting.Width = Unit.Pixel(150);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "CREATED_DT";
                setting.Caption = "Created Date";
                setting.Width = Unit.Pixel(150);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.PropertiesEdit.DisplayFormatString = string.Format("dd.MM.yyyy HH:mm");
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "CHANGED_BY";
                setting.Caption = "Changed By";
                setting.Width = Unit.Pixel(150);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "CHANGED_DT";
                setting.Caption = "Changed Date";
                setting.Width = Unit.Pixel(150);
                setting.ColumnType = MVCxGridViewColumnType.DateEdit;
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.PropertiesEdit.DisplayFormatString = string.Format("dd.MM.yyyy HH:mm");
                setting.PropertiesEdit.NullDisplayText = string.Empty;
            }
        );
    }).Bind(Model.GetModel<List<LPOPConsolidationTNQCDetail>>()).GetHtml()